Reply to topic  [ 1 post ] 
OsX package 
Author Message
Yorick Master

Joined: Sun Sep 26, 2004 10:33 am
Posts: 150
Location: Australia
Post OsX package
All,

I've been back to OsX for some time (still using Linux though :-).
I went through some pain building yorick and the plugins (mostly the plugins), and thought I would build a binary package to ease the pain of others.

So here it is. Look at http://www.maumae.net/yorick/mac/

I will be releasing upgrades as needed, regularly, bearing continuing access to this OS (I now have an automated Makefile for easy updates). There are some trick in building the plugins, so having a binary installer is probably convenient for many of the non-technically oriented users.

Below is a copy of the installer README. As you'll see it includes quite a number of plugins. It is also rather big (7.5MB, 15MB once installed), as it includes a few libraries with which I linked statically (e.g. fftw3, hdf5), but nothing to be afraid of in today's standard in disk and internet capacity. I am aware some plugins are missing (gl, yoga, some components of yeti, ...). I am willing to include them if the demand is high enough. This packages should work on 10.5 through 10.7 (which I am using right now), and on 32 bits and 64 bits machines (but not on ppc).

"Welcome.

Please read, there are some important information below.

What this installer does

✔ It install yorick and many plugins (see below for an exhaustive list) in your home directory.
✔ It adds two lines in your .profile to:
+ Append the newly created yorick bin directory to your path,
+ Define an alias for yorick to run yorick within a readline wrapper that provides line recall, history, etc..

You will have to open a new Terminal so that your environment picks up the newly added path and alias.

Beware: This installer installs in yorick-2.2 in your home directory and does not check for the existence of this directory, and will happily overwrite it. Back up or cancel this installation if you already have such a directory. This might actually be a feature if you have installed additional plugins and want to preserve them while upgrading the rest of the yorick install.

Included plugins

✔ yutils
✔ imutil
✔ yao
✔ yeti
✔ yeti_regex
✔ soy
✔ hdf5
✔ ml4
✔ spydr
✔ mpeg
✔ z
✔ opra
✔ svipc
✔ usleep

Last updated Tue 13 Sep 2011 00:31:31 HST

Dependencies

There are no dependency to run the vanilla yorick & plugins.

The external libraries needed by some plugins have been included in this package (e.g. fftw3 or hdf5 which have been linked statically, thus the size of this package).

However, some plugins use GUIs that are implemented in pygtk, and as such require python2.7, gtk2 and pygtk. You can install these packages with e.g. macport:
[sudo] port install gtk2

How to uninstall

✔ Remove the entire yorick-2.2 directory,
✔ Edit your .profile and remove the added PATH and yorick alias lines."


Tue Sep 13, 2011 2:56 am
Profile WWW
Display posts from previous:  Sort by  
Reply to topic   [ 1 post ] 

Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group.
Designed by STSoftware for PTF.